package wsclient;
import javax.xml.namespace.QName;

public interface BricksWebServiceService extends java.rmi.Remote {

    /**
     *
     */
    public String getOppMove(String playerId) throws java.rmi.RemoteException;

    /**
     *
     */
    public void gameOver(String playerId) throws java.rmi.RemoteException;

    /**
     *
     */
    public int startGame(String playerId) throws java.rmi.RemoteException;

    /**
     *
     */
    public String initPlayer(String levelId) throws java.rmi.RemoteException;

    /**
     *
     */
    public boolean postMove(String playerId, String steps) throws java.rmi.RemoteException;

}
